#include "Angel.h"

#ifndef __BMPLOADER_H__
#define __BMPLOADER_H__

/* Image type - contains height, width, and data */
struct Image 
{
	GLsizei sizeX;
	GLsizei sizeY;
	GLubyte *data;
    Image(): sizeX(0), sizeY(0), data(0) {}
    bool Load(const char* bitmap);
    bool Load(std::string bitmap) {return Load(bitmap.c_str());}
    ~Image() {delete [] data;}
};

bool ImageLoad(const char *filename, Image *image);


#endif // __BMPLOADER_H__