#version 150

in vec2 TexCoord;
in vec4 diffuseAndAmbientColor;
in vec4 specularColor;

uniform sampler2D tex;

out vec4 fColor;

void main() 
{ 
	fColor = texture(tex, TexCoord) * (diffuseAndAmbientColor + specularColor);
}
